Home About Us Services Docs Contact Us
Contact Us

API Reference

Complete API documentation for Labezra's custom software solutions, ERP systems, and enterprise applications.

REST API Documentation

Labezra provides comprehensive REST APIs for integrating with our enterprise software solutions, CCTV systems, and automation platforms.

Base URL

All API requests should be made to:

https://api.labezra.com/v1/

Authentication

All API requests require authentication using Bearer tokens. Include your API key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Response Format

All responses are returned in JSON format with the following structure:

{ "status": "success", "code": 200, "data": { ... }, "message": "Request completed successfully" }

Core Endpoints

CCTV & Surveillance

  • GET /cameras - List all connected cameras
  • GET /cameras/{id} - Get camera details
  • POST /recordings/stream - Start live stream
  • GET /recordings - Retrieve recorded footage
  • POST /alerts - Trigger security alerts

Smart Automation

  • GET /devices - List all smart devices
  • POST /devices/{id}/control - Control device state
  • GET /schedules - Retrieve automation schedules
  • POST /schedules - Create new schedule

Enterprise Software

  • GET /users - Retrieve user data
  • POST /transactions - Create business transaction
  • GET /reports - Generate business reports
  • POST /exports - Export data

Error Handling

The API returns standard HTTP status codes:

  • 200 - Success
  • 400 - Bad Request
  • 401 - Unauthorized
  • 404 - Not Found
  • 500 - Server Error

Error responses include detailed messages to assist with debugging and resolution.

Rate Limiting

API requests are rate limited to 1000 requests per hour per API key. When rate limit is exceeded, the API returns a 429 status code.